# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177886049372518/rich-feedstock/recipe, last modified Fri May 15 15:59:20 2026
# ------------------------------------------------

package:
  name: rich
  version: 15.0.0
source:
  url: https://github.com/Textualize/rich/archive/refs/tags/v15.0.0.tar.gz
  sha256: 5e79a8738b4e4e552291253c69e32c695de38f24400b137b119d54385234526a
build:
  number: '0'
  script: /home/task_177886049372518/croot/rich_1778860787009/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.0 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - pip 26.0.1 pyh0d26453_1
    - poetry-core 2.2.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - markdown-it-py >=2.2.0
    - pygments >=2.13.0,<3.0.0
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - ipywidgets >=7.5.1,<9
test:
  imports:
    - rich
  source_files:
    - tests
  commands:
    - pip check
    - pytest -vv tests -k "not (test_markdown_render or test_syntax_highlight_ranges
      or test_option_no_wrap or test_python_render or test_card_render or test_brokenpipeerror
      or test_background_color_override_includes_padding)"
  requires:
    - attrs
    - pip
    - pytest
about:
  home: https://github.com/Textualize/rich
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Rich is a Python library for rich text and beautiful formatting in the
    terminal.
  description: "Rich is a Python library for rich text and beautiful formatting\n\
    in the terminal.The Rich API makes it easy to add color and style to\nterminal\
    \ output. Rich can also render pretty tables, progress bars,\nmarkdown, syntax\
    \ highlighted source code, tracebacks, and more \u2014 out\nof the box.\n"
  doc_url: https://rich.readthedocs.io
  dev_url: https://github.com/Textualize/rich
extra:
  recipe-maintainers:
    - jan-janssen
    - willmcgugan
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/rich-feedstock
  sha: 01162a719f6a410e6f072f198d1bd0ceede0222d
  task_id: Bj4VAX8STaeG88zG0b27BA
  task_run_id: '0'
  pbp_graph_uuid: d18d6a24-abae-4e84-a2a3-f8905b3b4231
